[
  {"version":1},
  {"ingredient":{"id":"modular_machinery_reborn:controller","components":{"modular_machinery_reborn:machine":"ysnt:kinetic_turbine"}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"create:cogwheel"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"mekanismgenerators:rotational_complex"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"mekanismgenerators:turbine_casing"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:controller"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":20,"type":"java.lang.Integer","bookmarkType":"INGREDIENT"},
  {"ingredient":"mekanism:steam","type":"mekanism.api.chemical.ChemicalStack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modern_industrialization:titanium_blade"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"tfmg:turbine_blade","components":{"tfmg:fuels":{"kerosene":"fluid.tfmg.kerosene"},"tfmg:fuel_tags":{"kerosene":"c:kerosene"}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"create:blaze_burner"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:controller","components":{"modular_machinery_reborn:machine":"ysnt:fuel_steam_boiler"}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:structure_template_item"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:blueprint"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:casing_plain"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:casing_circuitry"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:casing_reinforced"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"mmrcreate:kinetic_input_hatch_tiny_slow"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:effect_dispenser_small"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:fuel_tank_small"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:fuel_tank_big"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:fuel_tank_huge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:fuel_tank_tiny"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:fuel_tank_normal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:parallel_hatch_medium"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:parallel_hatch_basic"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:casing_firebox"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:casing_vent"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:structure_creator_single"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn_ars:sourceinputhatch_tiny"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:command_executioner"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:redstone_port"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:structure_checker"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:entity_spawner"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:modularium"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:durabilityhatch_normal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:durabilityhatch_small"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:durabilityhatch_tiny"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:durabilityhatch_big"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:fluidoutputhatch_reinforced"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:fluidoutputhatch_normal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:fluidinputhatch_small"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:experienceinputhatch_reinforced"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:experienceoutputhatch_big"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:experienceoutputhatch_reinforced"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:experienceoutputhatch_normal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:time_counter"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:height_meter"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:chunkloader"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:parallel_hatch_advanced"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:parallel_hatch_ultimate"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"modular_machinery_reborn:parallel_hatch_max"},"type":"item_stack","bookmarkType":"INGREDIENT"}
]